/**
 *
 * @param {*} _this 当前vue 的实例
 * @returns  返回一个表格配置数组
 */

export const columns = (_this) => [
  {
    prop: 'operId',
    label: '日志编号',
    align: 'center'
  },
  {
    prop: 'title',
    label: '系统模块'
  },
  {
    prop: 'businessType',
    label: '操作对象',
    render: (h, params) => {
      if (params.row.businessType == 0) {
        return h('span', '其他')
      } else if (params.row.businessType == 1) {
        return h('span', '新增')
      } else if (params.row.businessType == 2) {
        return h('span', '修改')
      } else if (params.row.businessType == 3) {
        return h('span', '删除')
      }
    }
  },
  {
    prop: 'status',
    label: '操作结果',
    render: (h, params) => {
      if (params.row.status == 0) {
        return h('span', { class: 'success-state' }, '成功')
      } else {
        return h('span', { class: 'warning-state' }, '失败')
      }
    }
  },
  {
    prop: 'operName',
    label: '操作用户'
  },
  {
    prop: 'deptName',
    label: '操作单位'
  }
]
/**
 *
 * @returns 返回表格基础配置项
 */
export const options = {
  stripe: true, // 斑马纹
  mutiSelect: false, // 多选框
  index: true, // 显示序号， 多选则 mutiSelect
  loading: false, // 表格动画
  initTable: true, // 是否一挂载就加载数据
  height: 'calc(100vh - 345px)'
}
